"use strict";
var path_1 = require("path");
var _1 = require("../");
function getChangedPackages(packages) {
    return _1.changedPackages()
        .then(function (affectedPackages) { return filterPkgs(packages, Object.keys(affectedPackages)); });
}
exports.getChangedPackages = getChangedPackages;
function filterPkgs(packages, affectedPackageNames) {
    var allPackages = packages.map(getPkg);
    return allPackages.filter(filterAffected(affectedPackageNames));
}
function getPkg(path) {
    var pkg = require(path_1.join(path, 'package.json'));
    return {
        path: path,
        config: pkg,
        name: pkg.name,
    };
}
exports.getPkg = getPkg;
function filterAffected(affectedPackageNames) {
    return function (pkg) {
        return affectedPackageNames.indexOf(pkg.name) > -1;
    };
}
//# sourceMappingURL=getChangedPackages.js.map