"use strict";
var path_1 = require("path");
function packagesToExecute(input) {
    var config = input.config, options = input.options;
    var packages = config.packages.map(function (path) {
        var pkg = require(path_1.join(path, 'package.json'));
        return {
            path: path,
            config: pkg,
            name: pkg.name,
        };
    });
    var onlyPackages = options.only
        ? options.only.split(',')
        : packages.map(function (p) { return p.name; });
    var packagesToExec = packages
        .filter(function (p) { return onlyPackages.indexOf(p.name) > -1; });
    return packagesToExec;
}
exports.packagesToExecute = packagesToExecute;
//# sourceMappingURL=packagesToExecute.js.map