import { NorthbrookConfig, Stdio } from './types';
import { DepGraph } from './northbrook';
import { CommandFlags, Alias, Flag, Description } from 'reginn';
declare module 'reginn' {
    interface HandlerOptions {
        args: Array<string>;
        options: any;
        config: NorthbrookConfig;
        depGraph: DepGraph;
        directory: string;
    }
    interface Handler {
        (input: HandlerOptions | HandlerApp, stdio: Stdio): any;
    }
    interface HandlerApp extends App, HandlerOptions {
    }
    interface Command {
        type: 'command';
        flags: CommandFlags;
        aliases: Array<Alias>;
        commands: Array<Command>;
        description?: string;
        handler?: Handler;
    }
    interface App {
        type: 'app';
        commands: Array<Command>;
        flags: CommandFlags;
    }
    function app(...definitions: Array<Command | Flag | App>): App;
    function command(...definitions: Array<Alias | Flag | Description | Command>): Command;
    function withCallback(command: Command, handler: Handler): void;
    function withPromise(command: Command): Promise<HandlerOptions | HandlerApp>;
}
export * from 'reginn';
export * from './types';
export * from './northbrook';
