"use strict";
var gitLatestTag_1 = require("./gitLatestTag");
var gitRawCommits_1 = require("./gitRawCommits");
var child_process_1 = require("child_process");
var stdio_mock_1 = require("stdio-mock");
function changedPackages(cwd, io, latestTagSpawn, rawCommitsSpawn) {
    if (cwd === void 0) { cwd = process.cwd(); }
    if (io === void 0) { io = stdio_mock_1.stdio(); }
    if (latestTagSpawn === void 0) { latestTagSpawn = child_process_1.spawn; }
    if (rawCommitsSpawn === void 0) { rawCommitsSpawn = child_process_1.spawn; }
    var rawCommits = gitLatestTag_1.gitLatestTag(cwd, io, latestTagSpawn)
        .then(function (commitHash) { return gitRawCommits_1.gitRawCommits(commitHash, io, cwd, rawCommitsSpawn); })
        .catch(function () { return gitRawCommits_1.gitRawCommits(void 0, io, cwd, rawCommitsSpawn); });
    return rawCommits.then(getAffectedPackages);
}
exports.changedPackages = changedPackages;
function getAffectedPackages(commits) {
    var affectedCommits = {};
    commits
        .forEach(function (commit) {
        var affects = commit.message.affects;
        if (!affects || commit.message.scope === 'release')
            return;
        affects.forEach(function (name) {
            if (!affectedCommits[name]) {
                affectedCommits[name] = {
                    name: name,
                    commits: [commit],
                };
            }
            else {
                affectedCommits[name].commits.push(commit);
            }
        });
    });
    return affectedCommits;
}
//# sourceMappingURL=changedPackages.js.map