"use strict";
var os_1 = require("os");
var child_process_1 = require("child_process");
var semver_1 = require("semver");
var stdio_mock_1 = require("stdio-mock");
var helpers_1 = require("../../helpers");
function gitLatestTag(cwd, io, _spawn) {
    if (cwd === void 0) { cwd = process.cwd(); }
    if (io === void 0) { io = stdio_mock_1.stdio(); }
    if (_spawn === void 0) { _spawn = child_process_1.spawn; }
    var regex = /tag:\s*(.+?)[,\)]/gi;
    var cmd = 'git';
    var args = ['log', '--decorate', '--no-color'];
    return helpers_1.execute(cmd, args, io, cwd, _spawn).then(function (_a) {
        var stdout = _a.stdout;
        var lines = stdout.split(os_1.EOL);
        var tags = [];
        for (var i = 0; i < lines.length; ++i) {
            var match = void 0;
            while (match = regex.exec(lines[i])) {
                if (semver_1.valid(match[1])) {
                    tags.push(match[1]);
                }
            }
        }
        if (tags.length > 0)
            return tags[0];
        throw new Error('Failed to find any tags');
    });
}
exports.gitLatestTag = gitLatestTag;
//# sourceMappingURL=gitLatestTag.js.map