"use strict";
var path_1 = require("path");
var typed_colors_1 = require("typed-colors");
function tryRequire(pkgName, cwd, debug) {
    if (debug === void 0) { debug = false; }
    module.paths = Array.prototype.slice.call(module.paths)
        .concat([cwd, path_1.join(cwd, 'node_modules')]);
    if (debug)
        console.log(typed_colors_1.cyan("DEBUG:") + (" trying to require " + pkgName));
    try {
        var pkg = require(pkgName);
        if (debug)
            console.log(typed_colors_1.cyan("DEBUG:") + (" successfully required " + pkgName));
        return pkg;
    }
    catch (e) {
        if (debug)
            console.log(typed_colors_1.cyan("DEBUG:") + (" failed to require " + pkgName + " -- ") + e.message);
        return e;
    }
}
exports.tryRequire = tryRequire;
//# sourceMappingURL=tryRequire.js.map