"use strict";
var os_1 = require("os");
var typed_colors_1 = require("typed-colors");
var ramda_1 = require("ramda");
function display(command) {
    return "" + command.aliases.map(displayAlias) +
        ("" + (command.description ? '  -  ' + typed_colors_1.bold(command.description) + os_1.EOL : '')) +
        ("" + (os_1.EOL + os_1.EOL) + displayFlags(command.flags)) + os_1.EOL + os_1.EOL;
}
exports.display = display;
function displayAlias(alias) {
    return typed_colors_1.green(alias.name === alias.abbreviation
        ? "" + typed_colors_1.underline(alias.name)
        : typed_colors_1.underline(alias.name) + " " + typed_colors_1.white('-' + alias.abbreviation));
}
function displayFlags(flags) {
    var aliases = flags.alias || {};
    var _strings = flags.string && Array.isArray(flags.string)
        ? flags.string
        : [flags.string];
    /* tslint:disable max-line-length */
    var strings = ramda_1.union(_strings, []).filter(Boolean)
        .map(function (x) { return "--" + x + (aliases && aliases[x] ? ' -' + aliases[x] : '') +
        ("" + (flags.description && flags.description[x] ? '  :  ' + flags.description[x] : '')) + os_1.EOL; });
    var booleanFlags = flags.boolean
        ? typeof flags.boolean === 'string' ? [flags.boolean] : flags.boolean
        : [""];
    var booleans = ramda_1.union(booleanFlags, []).filter(Boolean)
        .map(function (x) { return "--" + x + (aliases && aliases[x] ? ' -' + aliases[x] : '') +
        ("" + (flags.description && flags.description[x] ? '  :  ' + flags.description[x] : '')); });
    /* tslint:enable max-line-length */
    return strings.join() + booleans.join(os_1.EOL);
}
exports.displayFlags = displayFlags;
//# sourceMappingURL=display.js.map