"use strict";
var child_process_1 = require("child_process");
var helpers_1 = require("../../helpers");
var questions_1 = require("./questions");
function createCommit(answers, io, cwd, _spawn) {
    if (io === void 0) { io = helpers_1.defaultStdio; }
    if (cwd === void 0) { cwd = process.cwd(); }
    if (_spawn === void 0) { _spawn = child_process_1.spawn; }
    var commitMessage = questions_1.generateCommit(answers.type, answers.scope, answers.subject, answers.body, answers.affects, answers.breakingChange, answers.issues);
    return helpers_1.execute('git', ['commit', '-m', "" + commitMessage], io, cwd, _spawn);
}
exports.createCommit = createCommit;
//# sourceMappingURL=createCommit.js.map