"use strict";
var os_1 = require("os");
var typed_prompts_1 = require("typed-prompts");
var choices = [
    { key: 'n', name: 'No', value: 'no' },
    { key: 'y', name: 'Yes', value: 'yes' },
];
function breaking() {
    var isBreaking = typed_prompts_1.expand('breaking', 'Does this commit introduce BREAKING CHANGES?', choices, {
        when: function (answers) { return answers.type === 'fix' || answers.type === 'feat'; },
    });
    var breakingChanges = typed_prompts_1.input('breakingChange', 'Provide a description of the breaking changes. Use "|" to break new linke' + os_1.EOL + ' >', {
        when: function (answers) { return answers.breaking === 'yes'; },
    });
    return [
        isBreaking,
        breakingChanges,
    ];
}
exports.breaking = breaking;
//# sourceMappingURL=breaking.js.map