"use strict";
var os_1 = require("os");
var typed_prompts_1 = require("typed-prompts");
var generate_commit_1 = require("./generate-commit");
var choices = [
    { key: 'y', name: 'Yes', value: 'yes' },
    { key: 'n', name: 'Abort commit', value: 'no' },
];
var SEP = os_1.EOL + '###--------------------------------------------------------###' + os_1.EOL;
function confirmCommit(stdout) {
    return typed_prompts_1.expand('confirmCommit', function (answers) {
        stdout.write(SEP +
            generate_commit_1.generateCommit(answers.type, answers.scope, answers.subject, answers.body, answers.affects, answers.breakingChange, answers.issues) + SEP + os_1.EOL);
        return 'Are you sure you want to proceed with the commit above?';
    }, choices);
}
exports.confirmCommit = confirmCommit;
//# sourceMappingURL=confirmCommit.js.map