"use strict";
var os_1 = require("os");
var MAX_LINE_LENGTH = 100;
function generateCommit(type, scope, subject, body, affects, breaking, issues) {
    return escapeSpecialCharacters((type + "(" + scope.trim() + "): " + subject.trim() + os_1.EOL).slice(0, MAX_LINE_LENGTH) + os_1.EOL +
        wrap(body ? os_1.EOL + ("" + body.split('|').join(os_1.EOL)) + os_1.EOL : "") + os_1.EOL +
        wrap(affects ? os_1.EOL + ("AFFECTS: " + affects) + os_1.EOL : "") + os_1.EOL +
        wrap(breaking ? os_1.EOL + ("BREAKING CHANGE: " + os_1.EOL + " " + breaking.split('|').join(os_1.EOL)) + os_1.EOL : "") +
        os_1.EOL + wrap(issues ? os_1.EOL + ("ISSUES CLOSED: " + issues) + os_1.EOL : ""));
}
exports.generateCommit = generateCommit;
function escapeSpecialCharacters(str) {
    return str.replace(new RegExp('`', 'g'), '\\\\`');
}
function wrap(str) {
    if (!str)
        return str;
    var re = new RegExp('.{1,' + MAX_LINE_LENGTH + '}(\\s+|$)|\\S+?(\\s+|$)', 'g');
    return (str.match(re) || []).join(os_1.EOL).replace(/[ \t]*$/gm, '');
}
//# sourceMappingURL=generate-commit.js.map