"use strict";
var os_1 = require("os");
var commit_types_1 = require("../commit-types");
var ramda_1 = require("ramda");
var typed_prompts_1 = require("typed-prompts");
var helpers_1 = require("./helpers");
var COMMIT_TYPES = Object.keys(commit_types_1.types);
var COMMIT_DESCRIPTIONS = ramda_1.map(ramda_1.prop('description'), ramda_1.values(commit_types_1.types));
function type() {
    var length = helpers_1.longest(COMMIT_TYPES).length + 1;
    var choices = COMMIT_TYPES
        .map(function (type, i) {
        return {
            name: helpers_1.rightPad(type + ':', length) + ' ' + COMMIT_DESCRIPTIONS[i],
            value: type,
        };
    });
    return typed_prompts_1.list('type', 'Select the type of change you are committing:' + os_1.EOL, choices);
}
exports.type = type;
//# sourceMappingURL=type.js.map