"use strict";
var os_1 = require("os");
var path_1 = require("path");
var typed_colors_1 = require("typed-colors");
var _1 = require("../../");
var helpers_1 = require("../../helpers");
var m = require('app-module-path');
exports.plugin = _1.command(_1.alias('exec'), _1.description('Execute commands in all managed packages'));
_1.each(exports.plugin, function (_a, io) {
    var pkg = _a.pkg, args = _a.args;
    var path = pkg.path;
    var cmd = args.shift();
    io.stdout.write("Running '" + (cmd + " " + args.join(' ')).trim() + "' in " + pkg.name + "...");
    m.addPath(path);
    m.addPath(path_1.join(path, 'node_modules'));
    return helpers_1.execute(cmd, args, io, path)
        .then(function () { return io.stdout.write("Completed running '" + (cmd + " " + args.join(' ')).trim() + "' in " + pkg.name + os_1.EOL); })
        .catch(logError(io.stdout, io.stderr));
})
    .catch(function () {
    process.exit(1);
});
function logError(stdout, stderr) {
    return function (error) {
        if (typeof error.stderr === 'string') {
            stdout.write(error.stdout + os_1.EOL);
            stderr.write(error.stderr + os_1.EOL);
        }
        else {
            stderr.write(os_1.EOL + typed_colors_1.red("ERROR") + (": " + (error.message || error)) + os_1.EOL + os_1.EOL);
        }
        throw error;
    };
}
//# sourceMappingURL=exec.js.map