"use strict";
var os_1 = require("os");
var path_1 = require("path");
var mkdirp = require("mkdirp");
var typed_figures_1 = require("typed-figures");
var linkPackage_1 = require("./linkPackage");
function createPackages(dependencies, path, name, depGraph, io) {
    return function (resolve, reject) {
        mkdirp(path_1.join(path, 'node_modules'), function (err) {
            if (err)
                reject(err);
            io.stdout.write(os_1.EOL + typed_figures_1.pointer + (" " + name + " ") + os_1.EOL);
            var link = linkDependencies(path, depGraph, io);
            Promise.all(dependencies.map(link)).then(resolve).catch(reject);
        });
    };
}
exports.createPackages = createPackages;
function linkDependencies(path, depGraph, io) {
    return function (depName) {
        var destination = path_1.join(path, 'node_modules', depName);
        return new Promise(function (resolve, reject) {
            linkPackage_1.linkPackage(destination, depGraph, depName, io)(resolve, reject);
        });
    };
}
//# sourceMappingURL=createPackages.js.map