"use strict";
var os_1 = require("os");
var typed_colors_1 = require("typed-colors");
var _1 = require("../../");
var createPackages_1 = require("./createPackages");
exports.plugin = _1.command(_1.alias('link'), _1.description('Link together dependent packages'));
_1.each(exports.plugin, function (_a, io) {
    var config = _a.config, pkg = _a.pkg, depGraph = _a.depGraph;
    if (config.circular && config.circular.indexOf(pkg.name) > -1) {
        io.stdout.write(os_1.EOL + typed_colors_1.white("> ") + (" " + typed_colors_1.blue(pkg.name)) + os_1.EOL +
            "  skipping due to circular dependencies" + os_1.EOL);
        return Promise.resolve();
    }
    var allDependencies = depGraph.dependenciesOf(pkg.name);
    if (allDependencies.length === 0) {
        io.stdout.write(os_1.EOL + typed_colors_1.white("> ") + (" " + typed_colors_1.blue(pkg.name)) + os_1.EOL +
            "  has no dependencies to link" + os_1.EOL);
        return Promise.resolve();
    }
    var buildPackages = createPackages_1.createPackages(allDependencies, pkg.path, pkg.name, depGraph, io);
    return new Promise(buildPackages);
});
//# sourceMappingURL=link.js.map