"use strict";
var os_1 = require("os");
var mkdirp = require("mkdirp");
var rimraf = require("rimraf");
var modifyPackageJson_1 = require("./modifyPackageJson");
var writePackage_1 = require("./writePackage");
function linkPackage(destination, depGraph, packageName, io) {
    return function (resolve, reject) {
        rimraf(destination, function (error) {
            if (error)
                reject(error);
            mkdirp(destination, function (err) {
                if (err)
                    reject(err);
                var pkg = depGraph.configOf(packageName);
                io.stdout.write("  linking " + pkg.name + "... " + os_1.EOL);
                var depPackage = JSON.stringify(modifyPackageJson_1.modifyPackageJson(pkg.config, pkg.path));
                writePackage_1.writePackage(destination, depPackage)(resolve, reject);
            });
        });
    };
}
exports.linkPackage = linkPackage;
//# sourceMappingURL=linkPackage.js.map