"use strict";
var path_1 = require("path");
function getPackagesToUpdate(packages, affectedPackageNames) {
    var allPackages = packages.map(getPkg);
    return allPackages.filter(filterAffected(affectedPackageNames));
}
exports.getPackagesToUpdate = getPackagesToUpdate;
function getPkg(directory) {
    var pkg = require(path_1.join(directory, 'package.json'));
    return {
        directory: directory,
        pkg: pkg,
        name: pkg.name,
    };
}
exports.getPkg = getPkg;
function filterAffected(affectedPackageNames) {
    return function (pkg) {
        return affectedPackageNames.indexOf(pkg.name) > -1;
    };
}
//# sourceMappingURL=getPackagesToUpdate.js.map