"use strict";
var ramda_1 = require("ramda");
var notEmpty = function (x) { return x !== ''; };
var isX = function (x) { return x === 'x'; };
var toNum = function (x) { return isX(x) && x || parseInt(x); };
var isNum = function (x) { return isX(x) || !Number.isNaN(x); };
var filterMap = function (predicate, project, arr) {
    return ramda_1.map(project, ramda_1.filter(predicate, arr));
};
/**
 * Splits a semantic version number into an array of 3 parts
 */
function splitVersion(version) {
    var _version = ramda_1.filter(isNum, filterMap(notEmpty, toNum, version.split('.')));
    if (_version.length !== 3) {
        throw new Error(version + " passed is not a proper semantic version number");
    }
    return _version;
}
exports.splitVersion = splitVersion;
//# sourceMappingURL=splitVersion.js.map