"use strict";
var os_1 = require("os");
var helpers_1 = require("../../../helpers");
function gitPushToReleaseBranch(releaseBranch, cwd, io) {
    if (releaseBranch === void 0) { releaseBranch = 'master'; }
    if (cwd === void 0) { cwd = process.cwd(); }
    if (io === void 0) { io = helpers_1.defaultStdio; }
    io.stdout.write("Pushing changes to " + releaseBranch + "..." + os_1.EOL + os_1.EOL);
    return helpers_1.execute('git', ['push', 'origin', releaseBranch, '--tags'], io, cwd);
}
exports.gitPushToReleaseBranch = gitPushToReleaseBranch;
//# sourceMappingURL=gitPushToReleaseBranch.js.map