"use strict";
var os_1 = require("os");
var sequence_1 = require("@typed/sequence");
var helpers_1 = require("../../../helpers");
var filterScope_1 = require("./filterScope");
function gitTags(config, io) {
    return function (releasePackages) {
        return sequence_1.sequence(releasePackages, generateGitTag(config, io)).then(function () { return releasePackages; });
    };
}
exports.gitTags = gitTags;
function generateGitTag(config, io) {
    return function (releasePackage) {
        var pkg = releasePackage.pkg, name = releasePackage.name, directory = releasePackage.directory, commits = releasePackage.commits;
        var releaseVersion = "" + pkg.version;
        if (config.packages.length > 1)
            releaseVersion = releaseVersion + ("-" + filterScope_1.filterScope(name));
        io.stdout.write("Generating git tag v" + releaseVersion + " for " + name + "..." + os_1.EOL + os_1.EOL);
        return helpers_1.execute('git', [
            'tag',
            "v" + releaseVersion,
            "" + commits[0].hash,
        ], io, directory);
    };
}
//# sourceMappingURL=gitTags.js.map