"use strict";
var helpers_1 = require("../../../helpers");
function npmLogin(io, cwd) {
    return retry(helpers_1.execute, 3, 'npm', ['login'], io, cwd);
}
exports.npmLogin = npmLogin;
function retry(f, amount) {
    var args = [];
    for (var _i = 2; _i < arguments.length; _i++) {
        args[_i - 2] = arguments[_i];
    }
    return f.apply(void 0, args).catch(function (e) {
        console.log('Retrying...');
        if (amount - 1 > 0)
            return retry.apply(void 0, [f, amount - 1].concat(args));
        throw e;
    });
}
//# sourceMappingURL=npmLogin.js.map