"use strict";
var os_1 = require("os");
var sequence_1 = require("@typed/sequence");
var helpers_1 = require("../../../helpers");
function npmPublish(io) {
    return function (releasePackages) {
        return sequence_1.sequence(releasePackages, publish(io)).then(function () { return releasePackages; });
    };
}
exports.npmPublish = npmPublish;
function publish(io) {
    return function (pkg) {
        io.stdout.write("Publishing v" + pkg.pkg.version + " of " + pkg.name + "..." + os_1.EOL + os_1.EOL);
        return helpers_1.execute('npm', ['publish', '--access=public'], io, pkg.directory);
    };
}
//# sourceMappingURL=npmPublish.js.map